Zen-Updater deaktiviert, wie jetzt RPMs installieren?

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von geckolo, 17.05.2007.

  1. #1 geckolo, 17.05.2007
    geckolo

    geckolo Jungspund

    Dabei seit:
    01.05.2007
    Beiträge:
    16
    Zustimmungen:
    0
    Hi,

    ich habe mit folgendem Befehl den Zen-Updater entfernt wie in diesem Thread vorgeschlagen. Allerdings war mir damit nicht bewusst, dass es sich dabei um dasselbe Programm zum Installieren von RPM-Paketen handelt, die ich direkt per Browser runterlade.

    Code:
    rpm -e zmd rug zen-updater
    Wie kann ich nun RPMs installieren (außer über Installationsquellen über yast)? Ist dazu der Zen-Updater wirklich nötig? Oder geht es auch anders?

    Habe openSuSE 10.2, KDE 3.5.5

    Vielen Dank schonmal für eure Hilfe!
    geckolo
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. buli

    buli Debianator

    Dabei seit:
    16.09.2006
    Beiträge:
    789
    Zustimmungen:
    0
    Ort:
    Essen/Ruhrgebiet
    Code:
    rpm -i [paket]
    man rpm

    Nein.
     
  4. #3 gropiuskalle, 17.05.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Du kannst die Pakete auch über eine lokale YaST-Quelle einspielen, bulis Vorschlag hat nämlich den erheblichen Nachteil, das somit keine Abhängigkeiten aufgelöst werden können.
     
  5. buli

    buli Debianator

    Dabei seit:
    16.09.2006
    Beiträge:
    789
    Zustimmungen:
    0
    Ort:
    Essen/Ruhrgebiet
    Was ich vergessen habe, zu erwähnen.
    Thx, gropiuskalle.
     
  6. #5 geckolo, 17.05.2007
    geckolo

    geckolo Jungspund

    Dabei seit:
    01.05.2007
    Beiträge:
    16
    Zustimmungen:
    0
    Dankeschön!
     
  7. #6 tuxlover, 18.05.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    Eine Alternative zu Zen bildet der smart-packagemanager von guru suse. da sind auch schon einige repos eingetragen. generell werden rpms immer mit

    rpm -ihv installiert

    rpm -Uhv geupdated oder installiert falls das Paket noch nicht in einer anderen Version auf dem System installiert war

    rpm -Fhv geupdated, nur dann wenn bereits eine ältere Variante des Pakets auf dem System instaliert ist

    rpm -e löscht ein Paket

    rpm --oldpackage -ihv Instaliert ein älteres Paket, falls z.b. ein neueres Paket problme machen sollte.

    rpm -q abfrage ob ein paket installiert ist

    rpm -qa | grep NAME die paketdatenbank nach einem bestimmten muster durchsuchen

    ansonsten

    man rpm

    man smart (falls du es dann installiert hast) ;)
     
  8. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

Zen-Updater deaktiviert, wie jetzt RPMs installieren?

Die Seite wird geladen...

Zen-Updater deaktiviert, wie jetzt RPMs installieren? - Ähnliche Themen

  1. Zen-Updater bremst mein System aus

    Zen-Updater bremst mein System aus: Hallo zusammen, ich habe openSuse 10.2 auf meinem Rechner und schon seit Längerem Probleme mit Zen-Updater. Nachdem Suse hochgefahren ist,...
  2. Aktuelle Firefox-Betaversion deaktiviert WebGL unter Linux weitgehend

    Aktuelle Firefox-Betaversion deaktiviert WebGL unter Linux weitgehend: Die gerade veröffentlichte neunte Betaversion von Firefox 4 deaktiviert unter Linux WebGL vollständig, außer wenn der proprietäre Nvidia-Treiber...
  3. openSUSE startet nur mit deaktiviertem ACPI

    openSUSE startet nur mit deaktiviertem ACPI: Moin! Wollte gerade mal wieder openSUSE 11.2 installieren. Habe dabei feststellen müssen, dass es sich nur booten läßt (sowohl Live-CD als auch...
  4. usb deaktiviert?

    usb deaktiviert?: Hi, irgendwie scheints, dass seit ein paar Updates mein USB nicht mehr ordnungsgemäß funktioniert. A) kann ich keine Speichermedien mehr mounten...
  5. Psi: GPG deaktiviert?

    Psi: GPG deaktiviert?: [Gelöst] Psi: GPG deaktiviert? Hallo! Ich würde unter Ubuntu 8.04 gerne Jabber mit GnuPG nutzen. Nachdem ich (irgendwo in den Psiforen) gelesen...